local HeadCount = LibStub("AceAddon-3.0"):GetAddon("HeadCount2")
local GUI = HeadCount:NewModule("GUI")
if not HeadCount then return end

local L = LibStub("AceLocale-3.0"):GetLocale("HeadCount2")
local AGU = LibStub("AceGUI-3.0")
local MainWindow = nil


local SimpleGroupBackdrop  = {
	bgFile = "Interface\\ChatFrame\\ChatFrameBackground",
	edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
	tile = true, tileSize = 16, edgeSize = 16,
	insets = { left = 3, right = 3, top = 5, bottom = 3 }
}

function GUI:ShowLootPopup(lootId,raidId)
end

local function ShowTooltip(widget)
	GameTooltip:SetOwner(widget.frame)
	GameTooltip:AddLine(widget:GetUserData("tooltip.key"))
	GameTooltip:Show()
end
local function HideTooltip()
	GameTooltip:Hide()
end

local function SetupTooltip(widget,tooltip)
	widget:SetUserData("tooltip.key",tooltip)
	widget:SetCallback("OnEnter",ShowTooltip)
	widget:SetCallback("OnLeave",HideTooltip)
end

function GUI:ShowTracker()
	if MainWindow then return end
	MainWindow = AGU:Create("Window")
	MainWindow:SetTitle("HeadCount2 Tracker")
	MainWindow:SetWidth(600)
	MainWindow:SetHeight(400)
	MainWindow:SetCallback("OnClose", function(widget)
		widget:ReleaseChildren()
		widget:Release()
		MainWindow = nil
	end)
	--MainWindow.statustext:GetParent():Hide()
	MainWindow:SetLayout("Flow")
	MainWindow:EnableResize(false)
	-- Create upper Box
	-- UpperLabel
	local raidTitle = AGU:Create("Label")
	raidTitle:SetText("   Raid History")
	raidTitle:SetColor(0.63,0.63,1.0,1.0)
	raidTitle:SetRelativeWidth(.90)
	MainWindow:AddChild(raidTitle)

	-- Annouce Icon
	local raidAnnounce = AGU:Create("InteractiveLabel")
	raidAnnounce:SetImage("Interface\\Buttons\\UI-GuildButton-MOTD-Up")
	raidAnnounce:SetHighlight("Interface\\Buttons\\UI-Panel-MinimizeButton-Highlight")
	raidAnnounce:SetImageSize(13,13)
	raidAnnounce:SetRelativeWidth(0.03)
	SetupTooltip(raidAnnounce,L["gui.announce.wait.list"])
	MainWindow:AddChild(raidAnnounce)

	-- End Raid
	local raidEnd = AGU:Create("InteractiveLabel")
	raidEnd:SetImage("Interface\\Buttons\\UI-GroupLoot-Pass-Up")
	raidEnd:SetHighlight("Interface\\Buttons\\UI-GroupLoot-Pass-Highlight")
	raidEnd:SetImageSize(13,13)
	raidEnd:SetRelativeWidth(0.03)
	SetupTooltip(raidEnd,L["gui.end.active.raid"])
	MainWindow:AddChild(raidEnd)

	-- Delete all raids
	local raidWipe = AGU:Create("InteractiveLabel")
	raidWipe:SetImage("Interface\\CharacterFrame\\Disconnect-Icon")
	raidWipe:SetHighlight("Interface\\Buttons\\UI-Panel-MinimizeButton-Highlight")
	raidWipe:SetImageSize(24,24)
	raidWipe:SetRelativeWidth(0.03)
	SetupTooltip(raidWipe,L["gui.remove.all.raids"])
	MainWindow:AddChild(raidWipe)

	-- Upper Box simple groupwith our border
	local UpperBox = AGU:Create("SimpleGroup")
	UpperBox:SetHeight(150)
	UpperBox:SetFullWidth(true)
	UpperBox:SetLayout("Full")
	local border = CreateFrame("Frame", nil, UpperBox.content)
	border:SetPoint("TOPLEFT", 0, 0)
	border:SetPoint("BOTTOMRIGHT", -1, 3)
	border:SetBackdrop(SimpleGroupBackdrop)
	border:SetBackdropColor(0.1, 0.1, 0.1, 0.5)
	border:SetBackdropBorderColor(0.4, 0.4, 0.4)

	MainWindow:AddChild(UpperBox)

	-- Create Lower Box
	local LowerBox = AGU:Create("InlineGroup")
	LowerBox:SetHeight(180)
	LowerBox:SetFullWidth(true)
	--LowerBox:SetTitle("Details")
	LowerBox:SetLayout("Full")
	MainWindow:AddChild(LowerBox)

end